/* **************************************************
	DESCRIPTION:  HomeLink Layout Sheet
***************************************************/

/* =================PAGE=================== */

html {
	overflow-y: auto;
}

html, body {
	height: 100vh;
	background: var(--layer-1);
}

body, p, h1, h2, h3 {
	margin: 0;
	color: var(--text-neutral);
}

header {
	height: var(--header-height);
}

html[data-layout="login"] header {
	height: 0;
	display: none;
}

#header-container {
	padding: 5px 0 0 0;
	display: flex;
	justify-content: space-between;
}

header[data-alignment="left"] #header-container {
	flex-direction: row;
}

header[data-alignment="right"] #header-container {
	flex-direction: row-reverse;
}

#content-pane-primary, #content-pane-settings {
	margin: 10px;
}

html[data-layout="login"] footer {
	height: 0;
	display: none;
}

/* =================HEADER=================== */

@media (max-width: 767px) {
	#navigation-pane-menu-toggle {
		display: none;
	}
}

	#header-navigation-pane-menu-toggle > button[subtle] {
		margin-top: 1px;
		width: fit-content;
	}

	#header-navigation-pane-menu-toggle-button {
		width: 100%;
		display: flex;
		align-items: center;
		gap: 10px;
	}

	html[data-layout="dual-pane"] #header-navigation-pane-menu-toggle-button img, #header-navigation-pane-back-button img {
		transition: transform 0.15s ease, opacity 0.5s ease-in-out;
	}

	html[data-layout="dual-pane"] #header-navigation-pane-menu-toggle-button:active img, #header-navigation-pane-back-button:active img {
		transform: scaleX(0.65);
	}

	#header-navigation-pane-menu-toggle {
		padding: 0 5px 5px 5px;
	}

html[data-alignment="left"] #header-container {
	flex-direction: row;
}

html[data-alignment="right"] #header-container {
	flex-direction: row-reverse;
}

/* =================DUAL-PANE=================== */

html[data-layout="dual-pane"] #layout {
	height: calc(100% - var(--header-height));
	display: flex;
}

html[data-layout="dual-pane"][data-alignment="left"] #layout{
	flex-direction: row;
}

html[data-layout="dual-pane"][data-alignment="right"] #layout{
	flex-direction: row-reverse;
}

html[data-layout="dual-pane"] aside {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	background: var(--layer-1);
	overflow: hidden;
}

/* Desktop */
@media (min-width: 768px) {
	html[data-layout="dual-pane"][data-navigation-pane="open"] aside {
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		flex: 0 0 300px;
		position: relative;
		transition: flex 0.25s ease;
		z-index: 10;
	}

	html[data-layout="dual-pane"][data-navigation-pane="compact"] aside {
		flex: 0 0 50px;
		padding: 0;
		transition: flex 0.25s ease;
	}
}

/* Mobile */
@media (max-width: 767px) {
	html[data-layout="dual-pane"][data-navigation-pane="open"] aside {
		top: var(--header-height);
		bottom: 0;
		width: 100%;
		position: absolute;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		flex: 0 0 100%;
		border-top: 2px solid var(--layer-1-border);
		opacity: 1;
		transition: width 0.25s ease;
		z-index: 9;
	}

	html[data-layout="dual-pane"][data-navigation-pane="compact"] aside {
		left: 0;
		width: 0;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		flex: 0 0 0;
		opacity: 0;
		transition: flex 0.25s ease;
	}
	
	html[data-layout="dual-pane"][data-navigation-pane="compact"] aside > * {
		display: none;	
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	#header-navigation-pane-back-button {
		width: -webkit-fill-available;
		width: -moz-available;
		width: fill-available;
		display: flex;
		align-items: center;
		gap: 10px;
	}
	
	#navigation-pane-back-button {
		display: none;
	}
}

html[data-alignment="left"] #header-navigation-pane-menu-toggle {
	display: flex;
	flex-direction: row;
}

html[data-alignment="right"] #header-navigation-pane-menu-toggle {
	display: flex;
	flex-direction: row-reverse;
}

#header-home-button {
	margin: 0 3px;
	padding: 5px;
	display: flex;
	align-items: center;
	gap: 10px;
}

html[data-alignment="left"] #header-home-button {
	flex-direction: row;
}

html[data-alignment="right"] #header-home-button {
	flex-direction: row-reverse;
}

#header-home-button > .button-text {
	font-weight: bold;
}

@media (min-width: 768px) {
	#header-navigation-pane-menu-toggle-button {
		display: none;
	}

	#header-navigation-pane-menu-toggle-button {
		padding: 0 5px 5px 5px;
	}

	#navigation-pane-menu-toggle > button[subtle] {
		margin-top: 1px;
	}

	#navigation-pane-menu-toggle-button {
		width: -webkit-fill-available;
		width: -moz-available;
		width: fill-available;
		display: flex;
		align-items: center;
		gap: 10px;
	}

	html[data-alignment="left"] #navigation-pane-menu-toggle-button {
		margin: 2px 5px 0 7px;
		flex-direction: row;
	}

	html[data-alignment="right"] #navigation-pane-menu-toggle-button {
		margin: 2px 7px 5px 5px;
		flex-direction: row-reverse;
	}

	html[data-layout="dual-pane"] aside #navigation-pane-menu-toggle-button:active img, #navigation-pane-back-button:active img {
		transform: scaleX(0.65);
	}

	html[data-layout="dual-pane"][data-navigation-pane="compact"] aside #navigation-pane-menu-toggle-button > span {
		display: none;
		font-size: calc(var(--base-font-size) * 0.75);
	}

	#navigation-pane-back-button {
		margin-top: 0;
		width: -webkit-fill-available;
		width: -moz-available;
		width: fill-available;
		display: flex;
		align-items: center;
		gap: 10px;
	}

	#header-navigation-pane-back-button {
		display: none;
	}

	html[data-layout="dual-pane"][data-navigation-pane="compact"] aside #navigation-pane-back-button > span {
		display: none;
		font-size: calc(var(--base-font-size) * 0.75);
	}
}

#navigation-pane-menu-toggle-button img, #navigation-pane-back-button:active img {
	transition: transform 0.15s ease, opacity 0.5s ease-in-out;
}

#navigation-pane-menu-toggle-button > span {
	font-size: calc(var(--base-font-size) * 0.85);
	text-overflow: ellipsis;
	white-space: nowrap;
}

#navigation-pane-back-button img {
	transition: transform 0.15s ease, opacity 0.5s ease-in-out;
}

#navigation-pane-back-button > span {
	font-size: calc(var(--base-font-size) * 0.85);
	text-overflow: ellipsis;
	white-space: nowrap;
}

html[data-alignment="left"] #navigation-pane-back {
	margin: 2px 5px 5px 7px;
	flex-direction: row;
}

html[data-alignment="right"] #navigation-pane-back {
	margin: 2px 7px 5px 5px;
	flex-direction: row-reverse;
}

html[data-layout="dual-pane"] aside #navigation-pane-user-container {
	padding:5px;
}

#navigation-pane-user-block {
	margin-top: 0;
	display: flex;
	align-items: center;
	gap: 10px;
	cursor: pointer;
}

#navigation-pane-user-block img {
	transition: transform 0.15s ease;
}

#navigation-pane-user-block:active img {
	transform: scale(0.90);
	transition: transform 0.15s ease;
}

html[data-alignment="left"] #navigation-pane-user-block {
	flex-direction: row;
}

html[data-alignment="right"] #navigation-pane-user-block {
	flex-direction: row-reverse;
}

#navigation-pane-user-block:hover > #navigation-pane-user-icon {
	box-shadow: var(--shadow-user-object);
	border-radius: 36px;
	outline: var(--outline-user-object);
}

#navigation-pane-user-icon {
	height: 40px;
	width: 40px;
}

#navigation-pane-user-block-text {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

html[data-alignment="left"] #navigation-pane-user-block-text {
	align-items: flex-start;
}

html[data-alignment="right"] #navigation-pane-user-block-text {
	align-items: flex-end;
}

#user-detail-text {
	font-size: calc(var(--base-font-size) * 0.65);
	color: var(--text-neutral-mute);
	text-overflow:ellipsis;
	white-space: nowrap;
}

#username-text {
	font-size: calc(var(--base-font-size) * 0.85);
}

html[data-layout="dual-pane"][data-navigation-pane="compact"] aside #navigation-pane-user-block-text {
	display: none;
	font-size: calc(var(--base-font-size) * 0.75);
}

html[data-layout="dual-pane"] aside #navigation-pane-content-container {
	padding: 5px;
	height: 100%;
	position: relative;
	overflow-y: auto;
}

html[data-layout="dual-pane"] aside #navigation-pane-settings-container {
	padding: 5px;
	position: relative;
	z-index: 1;
}

/* Navigation Pane Settings Button */
#navigation-pane-settings-button {
	margin-top: 0;
	width: 100%;
	display: flex;
	align-items: center;
	gap: 10px;
}

html[data-alignment="left"] #navigation-pane-settings-button {
	flex-direction: row;
}

html[data-alignment="right"] #navigation-pane-settings-button {
	flex-direction: row-reverse;
}

/* Settings Button Animation */
#navigation-pane-settings-container #navigation-pane-settings-button .button-icon {
	transition: transform 0.2s ease, opacity 0.5s ease-in-out;
	transform: rotate(0deg);
}

/* Press */
:root[data-alignment="left"] #navigation-pane-settings-container #navigation-pane-settings-button .button-icon.is-pressing {
	transform: rotate(-15deg);
}

:root[data-alignment="right"] #navigation-pane-settings-container #navigation-pane-settings-button .button-icon.is-pressing {
	transform: rotate(15deg);
}

/* Spin */
:root[data-alignment="left"] #navigation-pane-settings-container #navigation-pane-settings-button .button-icon.is-spinning {
	animation: settings-spin 0.75s ease;
	transition: none;
}

:root[data-alignment="right"] #navigation-pane-settings-container #navigation-pane-settings-button .button-icon.is-spinning {
	animation: settings-spin-reverse 0.75s ease;
	transition: none;
}

@keyframes settings-spin {
	to {
		transform: rotate(1turn);
	}
}

@keyframes settings-spin-reverse {
	to {
		transform: rotate(-1turn);
	}
}

html[data-layout="dual-pane"][data-navigation-pane="compact"] aside #navigation-pane-settings-container .button-text {
	display: none;
}

html[data-layout="dual-pane"] main[contrast] {
	background: var(--layer-2);
	overflow-y: auto;
}

html[data-layout="dual-pane"] main[uniform] {
	background: transparent;
	overflow-y: auto;
}

/* Desktop */
@media (min-width: 768px) {
	html[data-layout="dual-pane"] main {
		width: 100%;
	}

	html[data-layout="dual-pane"][data-alignment="left"] main[contrast] {
		border: 2px solid var(--layer-1-border);
		border-right: none;
		border-bottom: none;
		border-radius: 12px 0 0 0;
	}

	html[data-layout="dual-pane"][data-alignment="right"] main[contrast] {
		border: 2px solid var(--layer-1-border);
		border-left: none;
		border-bottom: none;
		border-radius: 0 12px 0 0;
	}

	html[data-layout="dual-pane"][data-alignment="left"] main[uniform] {
		border: 2px solid transparent;
		border-right: none;
		border-bottom: none;
		border-radius: 12px 0 0 0;
	}

	html[data-layout="dual-pane"][data-alignment="right"] main[uniform] {
		border: 2px solid transparent;
		border-left: none;
		border-bottom: none;
		border-radius: 0 12px 0 0;
	}
}

/* Mobile */
@media (max-width: 767px) {
	html[data-layout="dual-pane"] main[contrast] {
		min-width: 100%;
		border-top: 2px solid var(--layer-1-border);
	}

	html[data-layout="dual-pane"] main[uniform] {
		min-width: 100%;
		border-top: 2px solid transparent;
	}
}